Subject: [spring] Fwd: New Version Notification for draft-ietf-spring-segment-routing-01.txt

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Fri, 6 Feb 2015 11:37:56 +0000

this version aims to address comments form Andrew.

Thanks.
s.

Begin forwarded message:

> From: <[email-masked]>
> Subject: New Version Notification for draft-ietf-spring-segment-routing-01.txt
> 
> A new version of I-D, draft-ietf-spring-segment-routing-01.txt
> has been successfully submitted by Stefano Previdi and posted to the
> IETF repository.
> 
> Name:		draft-ietf-spring-segment-routing
> Revision:	01
> Title:		Segment Routing Architecture
> Document date:	2015-02-05
> Group:		spring
> Pages:		19
> URL:            http://www.ietf.org/internet-drafts/draft-ietf-spring-segment-routing-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-spring-segment-routing/
> Htmlized:       http://tools.ietf.org/html/draft-ietf-spring-segment-routing-01
> Diff:           http://www.ietf.org/rfcdiff?url2=draft-ietf-spring-segment-routing-01
> 
> Abstract:
>   Segment Routing (SR) leverages the source routing paradigm.  A node
>   steers a packet through an ordered list of instructions, called
>   segments.  A segment can represent any instruction, topological or
>   service-based.  A segment can have a local semantic to an SR node or
>   global within an SR domain.  SR allows to enforce a flow through any
>   topological path and service chain while maintaining per-flow state
>   only at the ingress node to the SR domain.
> 
>   Segment Routing can be directly applied to the MPLS architecture with
>   no change on the forwarding plane.  A segment is encoded as an MPLS
>   label.  An ordered list of segments is encoded as a stack of labels.
>   The segment to process is on the top of the stack.  Upon completion
>   of a segment, the related label is popped from the stack.
> 
>   Segment Routing can be applied to the IPv6 architecture, with a new
>   type of routing extension header.  A segment is encoded as an IPv6
>   address.  An ordered list of segments is encoded as an ordered list
>   of IPv6 addresses in the routing extension header.  The segment to
>   process is indicated by a pointer in the routing extension header.
>   Upon completion of a segment, the pointer is incremented.
> 
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Fri, 6 Feb 2015 14:12:39 -0500

Stefano,

Thanks, much appreciated.

Cheers,
Andy

On Fri, Feb 6, 2015 at 6:37 AM, Stefano Previdi (sprevidi) <
[email-masked]> wrote:

> > URL:
> http://www.ietf.org/internet-drafts/draft-ietf-spring-segment-routing-01.txt
> > Status:
> https://datatracker.ietf.org/doc/draft-ietf-spring-segment-routing/
> > Htmlized:
> http://tools.ietf.org/html/draft-ietf-spring-segment-routing-01
> > Diff:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-spring-segment-routing-01
> >
> > Abstract: